Bug 111903 - [PATCH] oops in IUCV code
[PATCH] oops in IUCV code
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390 Linux
high Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks: 107563
  Show dependency treegraph
 
Reported: 2003-12-11 09:53 EST by Ingolf Salm
Modified: 2007-11-30 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:07:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LTC3314 IBM patch (1.36 KB, patch)
2004-01-12 21:57 EST, Pete Zaitcev
no flags Details | Diff
LTC3061 IBM patch (3.42 KB, patch)
2004-01-12 21:58 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Ingolf Salm 2003-12-11 09:53:13 EST
Description of problem:

symptom: crash with kernel oops when shutting down an IUCV connection
Problem interrupt buffer was released too early
solution: moved call of iucv_retrieve_buffer() into iucv_exit
Comment 1 Ingolf Salm 2003-12-16 13:36:08 EST
See url for patches: 
http://www10.software.ibm.com/developerworks/opensource/linux390/june2
003_recommended.shtml#downloads

Select Download Area for "June 2003 stream"; all bugs with a drop 
date of 2003-09-18 and newer are not included in RHEL 3.
Comment 2 Pete Zaitcev 2004-01-12 21:57:11 EST
Created attachment 96922 [details]
LTC3314 IBM patch
Comment 3 Pete Zaitcev 2004-01-12 21:58:50 EST
Created attachment 96923 [details]
LTC3061 IBM patch
Comment 5 Ingolf Salm 2004-01-16 15:23:17 EST
you can find the patch at 
http://www10.software.ibm.com/developerworks/opensource/linux390/linux
-2.4.21-s390-05-june2003.shtml
corresponding patche is in per-problem-patches tar file.
Comment 7 Pete Zaitcev 2004-02-13 11:33:14 EST
Modified in 2.4.21-9.8.EL
Comment 8 John Flanagan 2004-05-11 21:07:57 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.